<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.newfeifan.mall.module.member.dal.mysql.user.MemberUserMapper">

    <update id="synchronizationUserNicknameForDUser">
        update distri_duser set nick_name = #{nickname} where user_id = #{userId};
    </update>
    <update id="synchronizationUserNicknameForIntegral">
        update distri_integral set nick_name = #{nickname} where user_id = #{userId};
    </update>
    <update id="synchronizationUserNicknameForSharePathDesc">
        update distri_share_path set desc_nick_name = #{nickname} where descendant = #{userId};
    </update>
    <update id="synchronizationUserNicknameForSharePathAnc">
        update distri_share_path set anc_name = #{nickname} where ancestor = #{userId};
    </update>

</mapper>
